import { BaseModal } from './BaseModal'

type Props = {
  isOpen: boolean
  handleClose: () => void
}

export const AboutModal = ({ isOpen, handleClose }: Props) => {
  return (
    <BaseModal title="About" isOpen={isOpen} handleClose={handleClose}>
        This is a honey powered fork of an open source word guessing game -{' '}
        <a
          href="https://git.k-fortytwo.de/christofsteel/honigle"
          className="underline font-bold"
        >
          check out the code here
        </a>{' '}
        and{' '}
        <a
          href="https://github.com/hannahcode/word-guessing-game"
          className="underline font-bold"
        >  
	  the original code here
	</a>{' '}
      </p>
    </BaseModal>
  )
}
